Download it now!
Bug 70345 - [FILESAVE] I/O ERROR when saving document on a network file.
Summary: [FILESAVE] I/O ERROR when saving document on a network file.
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.0.5.2 release
Hardware: Other Windows (All)
: medium major
Assignee: Matthieu
URL:
Whiteboard: target:4.2.0 target:4.1.4
Keywords:
: 62640 69840 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-10-10 13:28 UTC by Matthieu
Modified: 2015-02-25 09:26 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
first error display (23.48 KB, image/jpeg)
2013-10-10 13:28 UTC, Matthieu
Details
second error displayed (15.17 KB, image/jpeg)
2013-10-10 13:29 UTC, Matthieu
Details
error file (11.18 KB, application/vnd.oasis.opendocument.spreadsheet)
2013-10-10 13:29 UTC, Matthieu
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthieu 2013-10-10 13:28:04 UTC
Created attachment 87395 [details]
first error display

Hello,

The file not being saved is simple_file_save_ko.ods, and theprinted error are: 
first_error.jpg and second_error.jpg.

The bug is when I double-clik on this network file and change the content, the firs_error.jpg appears two times and the second_error.jpg appears one time.

I think the problem come from this commit:

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6523f78456c9f78fb842b7215eb84a96f4e92472&h=libreoffice-4-0-5

In found a backport here which it worked and solved the problem:

http://cgit.freedesktop.org/libreoffice/core/commit/sfx2/source/doc/docfile.cxx?h=libreoffice-4-1-2&id=0c2206081de38a41597aadfb2255540d6308be63


Can you backport the commit for the 4.0.6 rc2 or the final 4.0.6?

It's very important,

Thanks.
Comment 1 Matthieu 2013-10-10 13:29:02 UTC
Created attachment 87396 [details]
second error displayed
Comment 2 Matthieu 2013-10-10 13:29:54 UTC
Created attachment 87397 [details]
error file
Comment 3 Matthieu 2013-10-11 11:05:27 UTC
*** Bug 69840 has been marked as a duplicate of this bug. ***
Comment 4 Matthieu 2013-10-28 11:00:50 UTC
Here is the gerrit associated:

https://gerrit.libreoffice.org/#/c/6460/
Comment 5 Maxim Monastirsky 2013-10-28 15:50:41 UTC
@Matthieu: 4.0.6 release was the last release of 4.0.
Comment 6 Jean-Baptiste Faure 2013-10-28 20:31:28 UTC
(In reply to comment #5)
> @Matthieu: 4.0.6 release was the last release of 4.0.

Indeed, but some organization may want to build a patched 4.0.6 for its own usage.

Best regards. JBF
Comment 7 Matthieu 2013-10-29 08:27:31 UTC
Indeed, I commit on 4.0.6 because my organisation want a 4.0.6 with some patch.

But I also wanted the commit to be on futur release for me but also for the community because this bug could happened to anybody.

I suppose that I have to checkout master and do the commit on master branch?

If I want the commit to be in futur 4.1 release I have also to commit in 4.1 branch?
Comment 8 Eike Rathke 2013-10-29 12:52:48 UTC
@Matthieu:
You'll have to submit a change for 4-1 to gerrit, similar to what you did for 4-0.
Comment 9 Matthieu 2013-11-05 11:58:39 UTC
I commited on master, here:

https://gerrit.libreoffice.org/#/c/6580/
Comment 10 bfoman (inactive) 2013-11-16 17:45:31 UTC
*** Bug 62640 has been marked as a duplicate of this bug. ***
Comment 11 bfoman (inactive) 2013-11-16 17:46:48 UTC
*** Bug 69123 has been marked as a duplicate of this bug. ***
Comment 12 Commit Notification 2013-11-19 11:23:24 UTC
matt_51 committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d12549335229aca1a6a57575292111274709992

fdo#70345 Reuse XStream for Windows platform create a new one for others.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Matthieu 2013-11-22 15:51:34 UTC
Here is the cherry pick on 4.1 branch:

https://gerrit.libreoffice.org/#/c/6761/
Comment 14 Commit Notification 2013-11-25 13:47:20 UTC
matt_51 committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=01fc9d77764e49583be626d0955ccf872f9b4117&h=libreoffice-4-1

fdo#70345 Reuse XStream for Windows platform create a new one for others.


It will be available in LibreOffice 4.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 retired 2014-07-25 08:13:32 UTC
Matthieu: What's up with this bug? I see two commits and a target notice in the whiteboard field. Do I assume correctly this is fixed?

Setting to fixed. Matthieu or others, please correct me, if I'm wrong. Assigning to matthieu.
Comment 16 HD 2015-01-14 08:24:26 UTC
Hello,

The same issue has occurred in the following versions.
Please fix this issue.

4.2.5  4.2.6  4.2.7  4.2.8
4.3.0  4.3.1  4.3.2  4.3.3  4.3.4

Best regards.
Comment 17 retired 2015-01-14 09:29:23 UTC
Hd: what about 4.4.0.2? Could you please test that pre Release.
Comment 18 AntonioGM 2015-02-25 09:26:24 UTC
I think that the commit of this bug is causing #72337 regression.